/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.pb138.dtdToXsd;

import java.util.Objects;

/**
 *
 * @author Roman
 */
public class Attribute {
    private String elementName;
    private String name;
    private String type;
    private String defaultType;
    private String fixed=null;
;
    public String getDefaultType() {
        return defaultType;
    }

    public void setDefaultType(String defaultString) {
        this.defaultType = defaultString;
    }

    public String getElementName() {
        return elementName;
    }

    public void setElementName(String elementName) {
        this.elementName = elementName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getFixed() {
        return fixed;
    }

    public void setFixed(String fixed) {
        this.fixed = fixed;
    }
    
    @Override
    public String toString(){
        return "Attribute: elementName: "+getElementName()+", Name: "+getName()+", Type: "+getType()+",defaultType: " +getDefaultType()+" fixed "+
                getFixed();
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Attribute other = (Attribute) obj;
        if (!Objects.equals(this.elementName, other.elementName)) {
            return false;
        }
        if (!Objects.equals(this.name, other.name)) {
            return false;
        }
        if (!Objects.equals(this.type, other.type)) {
            return false;
        }
        if (!Objects.equals(this.defaultType, other.defaultType)) {
            return false;
        }
        if (!Objects.equals(this.fixed, other.fixed)) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 97 * hash + Objects.hashCode(this.elementName);
        hash = 97 * hash + Objects.hashCode(this.name);
        hash = 97 * hash + Objects.hashCode(this.type);
        hash = 97 * hash + Objects.hashCode(this.defaultType);
        hash = 97 * hash + Objects.hashCode(this.fixed);
        return hash;
        
    }
    
    
    
}
